PDA

View Full Version : Problem with installation 1.8.8 RC1


syrix
02-02-2005, 10:54 PM
Hey all,

i have a little problem with the installation of phpdig 1.8.8 RC1. When I use this Script: http://mydomain/phpdir/admin/install.php it says this:
Fatal error: Call to undefined function mb_eregi() in ...\phpdir\includes\config.php on line 103

i have php v.5 and i think this version not support this function or something.
What it could be?

sry for my poor english

syrix
02-03-2005, 02:43 AM
i habe fixed it.
the module mbstring must be loaded. :)

sktest
02-10-2005, 04:18 AM
hi have the same problem.
how can i repair that?

sktest
02-15-2005, 03:39 AM
no answer?

jmitchell
02-15-2005, 06:34 AM
to my knowledge, you must configure php with mbstring. Since I run a server with WHM and CPanel, I don't know the command line to do this, but I'm sure charter could point you in the right direction.

JMitchell

cefiro
02-16-2005, 11:26 AM
I am also having this problem. Does anyone have an answer?

zaartix
02-16-2005, 10:10 PM
same trouble :(

syrix
02-17-2005, 12:48 AM
which version of php have you?
you must go to your php.ini apache/bin/php.ini <- there is my
and here you must go to the ;Windows Extensions section:
here you find ;extension=php_mbstring.dll, delete the semicolon thing to activate it.
now restart apache and mbstring will be activate

puhhh english is bad :)

hope it will help you

zaartix
02-17-2005, 02:44 AM
so, this extension needed only for japanese language support?

syrix
02-17-2005, 03:09 AM
http://php3.de/manual/de/function.mb-eregi.php

mb_eregi() executes the regular expression match with multibyte support, and returns 1 if matches are found. This function ignore case. If the optional third parameter was specified, the function returns the byte length of matched part, and the array regs will contain the substring of matched string. The functions returns 1 if it matches with the empty string. If no matches found or error happend, FALSE will be returned.

Charter
02-17-2005, 06:04 AM
mbstring (pages may not be fully translated) Brazilian Portuguese (http://www.php.net/manual/pt_BR/ref.mbstring.php) Chinese (Simplified) (http://www.php.net/manual/zh/ref.mbstring.php) Chinese (Hong Kong Cantonese) (http://www.php.net/manual/hk/ref.mbstring.php) Chinese (Traditional) (http://www.php.net/manual/tw/ref.mbstring.php) Czech (http://www.php.net/manual/cs/ref.mbstring.php) Danish (http://www.php.net/manual/da/ref.mbstring.php) Dutch (http://www.php.net/manual/nl/ref.mbstring.php) English (http://www.php.net/manual/en/ref.mbstring.php) Finnish (http://www.php.net/manual/fi/ref.mbstring.php) French (http://www.php.net/manual/fr/ref.mbstring.php) German (http://www.php.net/manual/de/ref.mbstring.php) Greek (http://www.php.net/manual/el/ref.mbstring.php) Hebrew (http://www.php.net/manual/he/ref.mbstring.php) Hungarian (http://www.php.net/manual/hu/ref.mbstring.php) Italian (http://www.php.net/manual/it/ref.mbstring.php) Japanese (http://www.php.net/manual/ja/ref.mbstring.php) Korean (http://www.php.net/manual/kr/ref.mbstring.php) Polish (http://www.php.net/manual/pl/ref.mbstring.php) Romanian (http://www.php.net/manual/ro/ref.mbstring.php) Russian (http://www.php.net/manual/ru/ref.mbstring.php) Slovak (http://www.php.net/manual/sk/ref.mbstring.php) Spanish (http://www.php.net/manual/es/ref.mbstring.php) Swedish (http://www.php.net/manual/sv/ref.mbstring.php)

cefiro
02-18-2005, 12:22 PM
Is there any way around this mb_eregi/mbstring problem? I contacted my host and they said that mb_eregi is disabled. If I want to use it I would have to install my own separate php for my account. I'd rather not do this if at all possible. I noticed that this whole thing is for multibyte support. Everything on the site is English and always will be so I don't even need multibyte support. Can phpdig be changed to not need this mbstring functionality?

Charter
02-18-2005, 12:25 PM
If you don't want/need multibyte support, use PhpDig v.1.8.7.

cefiro
02-18-2005, 01:18 PM
What about going forward with new releases though? If I have to run 1.8.7 to keep from getting the errors how could I update to a newer version that has new features, etc.?